﻿<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8" />
<title>Ejercicio de selectores</title>
<style>
/* Las siguientes propiedades corresponden a cada una de las filas en el mismo orden en el que aparecen,
es decir, la primera propiedad es para la primera fila, y así hasta la última. 
Puedes hacerlo utilizando clases o bien selectores adyacentes, el que consideres más adecuado */
 tr:first-child{color: teal;}
 tr:nth-child(2){color: red;}
 tr:nth-child(3){color: blue;}
 tr+tr+tr+tr{color: orange;}
 tr+tr+tr+tr+tr{color: purple;}
 tr+tr+tr+tr+tr+tr{color: olive;}
 tr+tr+tr+tr+tr+tr+tr{color: fuchsia;}
 tr:last-child{color: green;}

/* Segunda columna */
td+td{background-color: red;}

/* Tercera columna */
 td+td+td{background-color: green;}

/* Cuarta columna */
td:last-child{background-color: blue;}
</style>
</head>
<body>
<table border="1">
<tr><td>teal</td><td>teal</td><td>teal</td><td>teal</td></tr>
<tr><td>red</td><td>red</td><td>red</td><td>red</td></tr>
<tr><td>blue</td><td>blue</td><td>blue</td><td>blue</td></tr>
<tr><td>orange</td><td>orange</td><td>orange</td><td>orange</td></tr>
<tr><td>purple</td><td>purple</td><td>purple</td><td>purple</td></tr>
<tr><td>olive</td><td>olive</td><td>olive</td><td>olive</td></tr>
<tr><td>fuchsia</td><td>fuchsia</td><td>fuchsia</td><td>fuchsia</td></tr>
<tr><td>green</td><td>green</td><td>green</td><td>green</td></tr>
</table>
</body>
</html>


